<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/Clothing/MilitaryBelt.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/df0/_military_belt_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">MilitaryBelt.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d8/df0/_military_belt_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../db/d3e/class_military_belt.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../db/d3e/class_military_belt.html">MilitaryBelt</a>: <a class="code hl_class" href="../../d8/db4/class_clothing.html">Clothing</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../db/d3e/class_military_belt.html#aadaf09c3a26788e187149af2833ebfe9">    3</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/d3e/class_military_belt.html#aadaf09c3a26788e187149af2833ebfe9">CanPutInCargo</a>( <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent )</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <span class="keywordflow">if</span>( !super.CanPutInCargo( parent ) )</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        {</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        }</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a357657ded604ecb97b76251146f7ac75">IsEmpty</a>();</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    }</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../db/d3e/class_military_belt.html#a489b772e9173d2a6ee678582cf82c101">   13</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/d3e/class_military_belt.html#a489b772e9173d2a6ee678582cf82c101">CanReceiveAttachment</a>( <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> attachment,<span class="keywordtype">int</span> slotId )</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <span class="keywordflow">if</span>( !super.CanReceiveAttachment( attachment, slotId ) )</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        }</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <span class="keywordflow">return</span> !<a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0fc522204b264247b969c1ed143d95d2">GetInventory</a>().<a class="code hl_function" href="../../dc/d11/class_game_inventory.html#a5aac4a6843cc91da6036f75f2d0bbe11">IsInCargo</a>();</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>                </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <span class="comment">//Debug menu Spawn Ground Special</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../db/d3e/class_military_belt.html#aa037b15f72f6db6b59ec67ade30f011c">   25</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d3e/class_military_belt.html#aa037b15f72f6db6b59ec67ade30f011c">OnDebugSpawn</a>()</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> entity;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <span class="keywordflow">if</span> ( <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(entity, <span class="keyword">this</span>) )</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            entity.GetInventory().CreateInInventory( <span class="stringliteral">&quot;NylonKnifeSheath&quot;</span> );</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            entity.GetInventory().CreateInInventory( <span class="stringliteral">&quot;PlateCarrierHolster&quot;</span> );</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            entity.GetInventory().CreateInInventory( <span class="stringliteral">&quot;Canteen&quot;</span> );</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>};</div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a0fc522204b264247b969c1ed143d95d2"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0fc522204b264247b969c1ed143d95d2">GetInventory</a></div><div class="ttdeci">proto native GameInventory GetInventory()</div></div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a357657ded604ecb97b76251146f7ac75"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a357657ded604ecb97b76251146f7ac75">IsEmpty</a></div><div class="ttdeci">bool IsEmpty()</div><div class="ttdoc">is this container empty or not, checks both cargo and attachments</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c_source.html#l00468">EntityAI.c:468</a></div></div>
<div class="ttc" id="aclass_clothing_html"><div class="ttname"><a href="../../d8/db4/class_clothing.html">Clothing</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/de8/_alice_bag___color_base_8c_source.html#l00001">AliceBag_ColorBase.c:1</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_game_inventory_html_a5aac4a6843cc91da6036f75f2d0bbe11"><div class="ttname"><a href="../../dc/d11/class_game_inventory.html#a5aac4a6843cc91da6036f75f2d0bbe11">GameInventory::IsInCargo</a></div><div class="ttdeci">bool IsInCargo()</div><div class="ttdoc">Returns true if this Inventory owner is in cargo of something.</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c_source.html#l00316">Inventory.c:316</a></div></div>
<div class="ttc" id="aclass_military_belt_html"><div class="ttname"><a href="../../db/d3e/class_military_belt.html">MilitaryBelt</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/df0/_military_belt_8c_source.html#l00001">MilitaryBelt.c:2</a></div></div>
<div class="ttc" id="aclass_military_belt_html_a489b772e9173d2a6ee678582cf82c101"><div class="ttname"><a href="../../db/d3e/class_military_belt.html#a489b772e9173d2a6ee678582cf82c101">MilitaryBelt::CanReceiveAttachment</a></div><div class="ttdeci">override bool CanReceiveAttachment(EntityAI attachment, int slotId)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/df0/_military_belt_8c_source.html#l00013">MilitaryBelt.c:13</a></div></div>
<div class="ttc" id="aclass_military_belt_html_aa037b15f72f6db6b59ec67ade30f011c"><div class="ttname"><a href="../../db/d3e/class_military_belt.html#aa037b15f72f6db6b59ec67ade30f011c">MilitaryBelt::OnDebugSpawn</a></div><div class="ttdeci">override void OnDebugSpawn()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/df0/_military_belt_8c_source.html#l00025">MilitaryBelt.c:25</a></div></div>
<div class="ttc" id="aclass_military_belt_html_aadaf09c3a26788e187149af2833ebfe9"><div class="ttname"><a href="../../db/d3e/class_military_belt.html#aadaf09c3a26788e187149af2833ebfe9">MilitaryBelt::CanPutInCargo</a></div><div class="ttdeci">override bool CanPutInCargo(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/df0/_military_belt_8c_source.html#l00003">MilitaryBelt.c:3</a></div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga253ceb932745ea74ca4a4d3d9e8c12d7"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">Class::CastTo</a></div><div class="ttdeci">static proto bool CastTo(out Class to, Class from)</div><div class="ttdoc">Try to safely down-cast base class to child class.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../dir_6f364bf7113eb70d5b3db9a41d035223.html">Clothing</a></li><li class="navelem"><a class="el" href="../../d8/df0/_military_belt_8c.html">MilitaryBelt.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
